<<<<<<< HEAD
//<#!@READ-ONLY-SECTION-START@!#>
/*!
 * \class cfm_aic_mu_projectapp
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */

#ifndef COFS_MODEL_AIC_MU_PROJECTAPP
#define COFS_MODEL_AIC_MU_PROJECTAPP

#include "cfm_aic_mu_projectapp_global.h"
#include "cfm_aic_mu_projectapp_global_types.h"
#include "cofluent.h"

#include "cfm_function.h"
#include "cfm_producer.h"
//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'AIC_MU_ProjectApp includes' algorithm generated code

//End of 'AIC_MU_ProjectApp includes' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>

///    \defgroup dxgAIC_MU_ProjectApp Function AIC_MU_ProjectApp
//@{
///        \page dxpAIC_MU_ProjectApp
//@{
///    \brief AIC_MU_ProjectApp function model.
class cfm_aic_mu_projectapp: public cf_core::cf_application {
public:
	/// relations typedef
	typedef cf_core::cf_message_queue<cf_core::cf_payload_int> mq_MsgQ_t;

	/// constructor
	cfm_aic_mu_projectapp(sc_core::sc_module_name name);

	/// destructor
	virtual ~cfm_aic_mu_projectapp(void);
	virtual void cb_before_elaboration(void);

	void cb_end_of_elaboration(void);
	void cb_end_of_simulation(void);

public:
	/// \name functions
	//@{
	cfm_function* Function;
	cfm_producer* Producer;
	//@}

protected:
	/// initialize attributes
	void cb_init_attributes(void);
	/// initialize definitions
	void cb_init_local_vars(void);

public:
	/// \name relations
	//@{
	mq_MsgQ_t mq_MsgQ;
	//@}

	/// \name user-defined local declarations
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp local declarations' algorithm generated code

	//End of 'AIC_MU_ProjectApp local declarations' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>

};

//@}
//@}
#endif // COFS_MODEL_AIC_MU_PROJECTAPP

=======
//<#!@READ-ONLY-SECTION-START@!#>
/*!
 * \class cfm_aic_mu_projectapp
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */

#ifndef COFS_MODEL_AIC_MU_PROJECTAPP
#define COFS_MODEL_AIC_MU_PROJECTAPP

#include "cfm_aic_mu_projectapp_global.h"
#include "cfm_aic_mu_projectapp_global_types.h"
#include "cofluent.h"

#include "cfm_betterfunction.h"
#include "cfm_consumer.h"
#include "cfm_producer.h"
//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'AIC_MU_ProjectApp includes' algorithm generated code

//End of 'AIC_MU_ProjectApp includes' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>

///    \defgroup dxgAIC_MU_ProjectApp Function AIC_MU_ProjectApp
//@{
///        \page dxpAIC_MU_ProjectApp
//@{
///    \brief AIC_MU_ProjectApp function model.
class cfm_aic_mu_projectapp: public cf_core::cf_application {
public:
	/// relations typedef
	typedef cf_core::cf_message_queue<cf_core::cf_payload_int> mq_MsgQ_t;

	/// constructor
	cfm_aic_mu_projectapp(sc_core::sc_module_name name);

	/// destructor
	virtual ~cfm_aic_mu_projectapp(void);
	virtual void cb_before_elaboration(void);

	void cb_end_of_elaboration(void);
	void cb_end_of_simulation(void);

public:
	/// \name functions
	//@{
	cfm_betterfunction* BetterFunction;
	cfm_consumer* Consumer;
	cfm_producer* Producer;
	//@}

protected:
	/// initialize attributes
	void cb_init_attributes(void);
	/// initialize definitions
	void cb_init_local_vars(void);

public:
	/// \name relations
	//@{
	mq_MsgQ_t mq_MsgQ;
	//@}

	/// \name user-defined local declarations
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'AIC_MU_ProjectApp local declarations' algorithm generated code

	//End of 'AIC_MU_ProjectApp local declarations' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>

};

//@}
//@}
#endif // COFS_MODEL_AIC_MU_PROJECTAPP

>>>>>>> refs/remotes/origin/master
//<#!@READ-ONLY-SECTION-END@!#>